For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of transformers for a database
          • POSTAdd a new transformer to a database
          • DELDeletes the transformer
          • PUTUpdate a transformer in a database
          • PUTUpdate a transformer's sort order in a database
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformTransformers

Retrieves a list of transformers for a database

GET
https://meta.feedonomics.com/api.php/dbs/:db_id/transformers
GET
/api.php/dbs/:db_id/transformers
$curl -G https://meta.feedonomics.com/api.php/dbs/1/transformers \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -d field_name=field_name
200Retrieved
1[
2 {
3 "id": "string",
4 "db_id": "string",
5 "export_id": "string",
6 "field_name": "string",
7 "sort_order": "string",
8 "selector": "string",
9 "transformer": "string",
10 "enabled": "string",
11 "exports": "string",
12 "created_at": "string"
13 }
14]
Was this page helpful?
Previous

Create/Update OR Delete transformed data overrides for a specific export in a database. A primary key must be set for the database.

Next

Add a new transformer to a database

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database that the import belongs to

Headers

x-api-keystringRequired

Query parameters

field_namestringRequired
The field that the transformer belongs to

Response

successful operation
idstring
db_idstring
export_idstring
field_namestring
sort_orderstring
selectorstring
transformerstring
enabledstring
exportsstring
created_atstring